<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
>
    <LinearLayout
        android:orientation="vertical"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
    >

        <!-- enabled setting -->
        <TextView
            style="@style/Tamanegi.TextViewBar"
            android:text="@string/toggle_enabled"
        ></TextView>
        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:padding="2dp"
        >
            <ToggleButton
                android:id="@+id/enabledCheck"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
            ></ToggleButton>
        </LinearLayout>

        <!-- time setting -->
        <TextView
            style="@style/Tamanegi.TextViewBar"
            android:text="@string/time"
        ></TextView>
        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:padding="2dp"
        >
        <TimePicker
            android:id="@+id/timePicker"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:hapticFeedbackEnabled="true"
        ></TimePicker>
        </LinearLayout>

        <!-- weekday setting -->
        <TextView
            style="@style/Tamanegi.TextViewBar"
            android:text="@string/day_of_week"
        ></TextView>
        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
        >
            <CheckBox
                android:id="@+id/weekdayCheck"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/weekday" />
            <CheckBox
                android:id="@+id/weekendCheck"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/weekend" />
            <CheckBox
                android:id="@+id/holidayCheck"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/holiday" />
        </LinearLayout>

        <!-- actions -->
        <TextView
            style="@style/Tamanegi.TextViewBar"
            android:text="@string/save"
        ></TextView>
        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:orientation="horizontal"
            android:padding="2dp"
        >
            <Button
                android:id="@+id/setButton"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_weight="0.5"
                android:text="@string/save" />
            <Button
                android:id="@+id/removeButton"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_weight="0.5"
                android:text="@string/remove" />
        </LinearLayout>
    </LinearLayout>
</ScrollView>
